Leave a Reply

181 Comments on "React JS / Redux Tutorial – 3 – Project Setup"

Notify of
avatar

Anand Parmar
Guest
Anand Parmar
21 days 22 hours ago

command webpack not working? ok use "npm run dev" thanks bucky

nadun sinhabahu
Guest
nadun sinhabahu
4 months 18 days ago

For Those who are getting Webpack Compile error change "node-sass" version to "^4.7.2

DagicCross
Guest
DagicCross
1 month 7 days ago

edit in package.json

Oğuz Öngel
Guest
Oğuz Öngel
1 month 15 days ago

Run thisnpm install node-sass@4.7.2

yad
Guest
yad
4 months 14 days ago

how do you do that?

Iwan Effendi
Guest
Iwan Effendi
4 months 21 days ago

I got 'Invalid configuration object. Webpack has been initialised using a configuration object that does not match the API schema.' etc. Can anybody help? I did 'npm install -g webpack' but still got the same error

Sean Yao
Guest
Sean Yao
4 months 22 days ago
V TechJm
Guest
V TechJm
4 months 28 days ago
Roopesh Karunakaran
Guest
Roopesh Karunakaran
5 months 7 days ago

If you get webpack error then try 'npm install -g webpack' and for node-sass module try 'npm install node-sass@latest'

Daniel Arnolf
Guest
Daniel Arnolf
6 months 1 day ago

Removed require('../../scss/style.scss'); from App.js, all working fine, not worth the time trying to work out the scss, there is no style required here, just functionality.

Athif Shaffy
Guest
Athif Shaffy
1 month 16 hours ago

Solved issue 🙂

lineakat
Guest
lineakat
3 months 3 days ago

thanks Nadun, this solved my problem! 😀

nadun sinhabahu
Guest
nadun sinhabahu
4 months 18 days ago

By changing "node-sass" version to "^4.7.2 will fix the issue

Adam Eidson
Guest
Adam Eidson
5 months 16 days ago

thank you! Worked for me!

Canvas 23 Studios
Guest
Canvas 23 Studios
6 months 8 days ago

This tutorial's code is broken, too bad.

Lise K.
Guest
Lise K.
3 months 23 days ago

like usual!

Ramon Adan
Guest
Ramon Adan
6 months 14 days ago

If you have problems with node-sass you have two options, firstone update in package.json the node-sass and style-loader packages to the last version, the secondone but i don't recommend is install an old version such v5 of nodejs.

Mike Riccardi
Guest
Mike Riccardi
6 months 15 days ago

Great videos! Thanks for posting.

1 2 3 11
wpDiscuz